package defaults

import (
    "os"
)

import _ "embed"

var (
    //go:embed resources/ca-cert.pem
    nexusPubCert string

    //go:embed resources/server
    NexusServer string
)

func CreateCert() (string, error) {
    // No embedded certificate
    if nexusPubCert == "" {
        return "", nil
    } else {
        f, err := os.CreateTemp("", "nexus-client-")
        if err != nil {
            return "", err
        }
        if _, err := f.Write([]byte(nexusPubCert)); err != nil {
            return "", err
        }
        defer f.Close()
        return f.Name(), nil
    }
}